"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const filter_1 = require("./filter");
describe('FilterIterator', () => {
    it('should only emit elements the predicate returns true for', () => {
        const collection = [1, 2, 3, 4, 5, 6][Symbol.iterator]();
        const filtered = new filter_1.FilterIterator(collection, x => x % 2 === 0);
        assert.equal(filtered.next().value, 2);
        assert.equal(filtered.next().value, 4);
        assert.equal(filtered.next().value, 6);
        assert.equal(filtered.next().done, true);
    });
});
//# sourceMappingURL=filter.test.1.js.map